# Generated by Django 3.0.3 on 2020-05-08 18:27

import uuid

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("passbook_policies", "0003_auto_20200508_1642"),
    ]

    operations = [
        migrations.CreateModel(
            name="Flow",
            fields=[
                (
                    "uuid",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("name", models.TextField()),
                ("slug", models.SlugField(unique=True)),
                (
                    "designation",
                    models.CharField(
                        choices=[
                            ("AUTHENTICATION", "authentication"),
                            ("ENROLLMENT", "enrollment"),
                            ("RECOVERY", "recovery"),
                            ("PASSWORD_CHANGE", "password_change"),
                        ],
                        max_length=100,
                    ),
                ),
                (
                    "pbm",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        related_name="+",
                        to="passbook_policies.PolicyBindingModel",
                    ),
                ),
            ],
            options={"verbose_name": "Flow", "verbose_name_plural": "Flows",},
            bases=("passbook_policies.policybindingmodel", models.Model),
        ),
        migrations.CreateModel(
            name="Stage",
            fields=[
                (
                    "uuid",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("name", models.TextField()),
            ],
            options={"abstract": False,},
        ),
        migrations.CreateModel(
            name="FlowStageBinding",
            fields=[
                (
                    "policybindingmodel_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        to="passbook_policies.PolicyBindingModel",
                    ),
                ),
                (
                    "uuid",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "re_evaluate_policies",
                    models.BooleanField(
                        default=False,
                        help_text="When this option is enabled, the planner will re-evaluate policies bound to this.",
                    ),
                ),
                ("order", models.IntegerField()),
                (
                    "flow",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="passbook_flows.Flow",
                    ),
                ),
                (
                    "stage",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="passbook_flows.Stage",
                    ),
                ),
            ],
            options={
                "verbose_name": "Flow Stage Binding",
                "verbose_name_plural": "Flow Stage Bindings",
                "ordering": ["order", "flow"],
                "unique_together": {("flow", "stage", "order")},
            },
            bases=("passbook_policies.policybindingmodel", models.Model),
        ),
        migrations.AddField(
            model_name="flow",
            name="stages",
            field=models.ManyToManyField(
                blank=True,
                through="passbook_flows.FlowStageBinding",
                to="passbook_flows.Stage",
            ),
        ),
    ]
